<?php
$result = tribe_events()
    ->where( 'ends_after', 'today' )
    ->order_by( 'start_date' )
    ->order( 'DESC' );
if ( isset( $attributes['idCategorieName'] ) ) {
    $result = $result->where( "category", $attributes['idCategorieName'] );
}
if ( isset( $attributes['idTagName'] ) ) {
    $result = $result->where( "tag", $attributes['idTagName'] );
}
$result = $result->all();
?>
<ul>
    <?php foreach ( $result as $event ) : ?>
        <li>
            <?php if ( $attributes['showThumbnail'] ) : ?>
                <figure>
                    <?php echo get_the_post_thumbnail( $event->ID, $attributes['thumbnailSize'] ) ?>
                </figure>
            <?php endif ?>

            <?php echo "<" . $attributes['htmlTag'] . ">" ?>
            <a href= <?php echo tribe_get_event_link( $event->ID ) ?>> <?php echo $event->post_title ?></a>
            <?php echo "</" . $attributes['htmlTag'] . ">" ?>

            <?php if ( $attributes['showExcerpt'] ) : ?>
                <p><?php echo $event->post_excerpt; ?></p>
            <?php endif ?>
            <?php
            $all_day         = $event->all_day;
            $start_date_hour = tribe_get_start_date( $event->ID );
            $end_date_hour   = tribe_get_end_date( $event->ID );
            $start_date      = tribe_get_start_date( $event->ID, false );
            $end_date        = tribe_get_end_date( $event->ID, false );
            $start_time      = tribe_get_end_time( $event->ID );
            $end_time        = tribe_get_end_time( $event->ID );
            if ( $start_date === $end_date && $all_day ) : ?>
                <p>Le
                    <time class="start_date" datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                </p>
            <?php elseif ( $start_date === $end_date && $all_day === false ): ?>
                <p>Le
                    <time class="start_date" datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                    de
                    <time class="start_time"><?php echo $start_time ?></time>
                    à
                    <time class="end_time" datetime="<?php echo $end_date_hour ?>"><?php echo $end_time ?></time>
                </p>
            <?php elseif ( $start_date !== $end_date && $all_day === false ) : ?>
                <p>Du
                    <time class="start_date" datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                    à
                    <time class="start_time"><?php echo $start_time ?></time>
                    au
                    <time class="end_date" datetime="<?php echo $end_date_hour ?>"><?php echo $end_date ?></time>
                    à
                    <time class="end_time"><?php echo $end_time ?></time>
                </p>
            <?php elseif ( $start_date !== $end_date && $all_day ) : ?>
                <p>Du
                    <time class="start_date" datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                    au
                    <time class="end_date" datetime="<?php echo $end_date_hour ?>"><?php echo $end_date ?></time>
                </p>
            <?php endif ?>
        </li>
    <?php endforeach; ?>
</ul>
