/* ========================================================================
 * Masking of some content relative to rgpd / user status
 * ======================================================================== */
(function($){
	$(document).ready( function() {
	  /* Remplacement des iframe partenaires pour prise en compte masque RGPD */
	  /* Youtube */
	  $('iframe[src*="www.youtube.com"],iframe[src*="youtube-nocookie.com"]').each( function(){
		var iframeEl = $(this);
		iframeEl.hide();
		iframeEl.attr('data-rgpd-src', iframeEl.attr('src'));
		iframeEl.attr('data-mask-title', "Vous devez accepter l\'utilisation des cookies de Youtube pour lire la vidéo");
		iframeEl.attr('data-rgpd-vendor-mask', "c:BS-youtube" );
		iframeEl.removeAttr('src');
	  });
	  /* Dailymotion */
	  $('iframe[src*="www.dailymotion.com"]').each( function(){
		var iframeEl = $(this);
		iframeEl.hide();
		iframeEl.attr('data-rgpd-src', iframeEl.attr('src'));
		iframeEl.attr('data-mask-title', "Vous devez accepter l\'utilisation des cookies de Dailymotion pour lire la vidéo");
		iframeEl.attr('data-rgpd-vendor-mask', "c:BS-dailymotion" );
		iframeEl.removeAttr('src');
	  });
	  $('iframe[src*=".vimeo.com"]').each( function(){
		var iframeEl = $(this);
		iframeEl.hide();
		iframeEl.attr('data-rgpd-src', iframeEl.attr('src'));
		iframeEl.attr('data-mask-title', "Vous devez accepter l\'utilisation des cookies de Vimeo pour lire la vidéo");
		iframeEl.attr('data-mask-button', "J\'autorise Vimeo à déposer des cookies");
		iframeEl.attr('data-rgpd-vendor-mask', "c:BS-vimeo" );
		iframeEl.removeAttr('src');
	  });
	  $('iframe[src*="www.ultimedia.com"]').each( function(){
		var iframeEl = $(this);
		iframeEl.hide();
		iframeEl.attr('data-rgpd-src', iframeEl.attr('src'));
		iframeEl.attr('data-mask-title', "Vous devez accepter l\'utilisation des cookies de Digiteka pour lire la vidéo");
		iframeEl.attr('data-rgpd-vendor-mask', "343" );
		iframeEl.removeAttr('src');
	  });
	  /* Digiteka */
	  $('.digitekaplaceholder').each( function(){
		var divEl = $(this);
		divEl.hide();
		divEl.attr('data-mask-title', "Vous devez accepter l\'utilisation des cookies de Digiteka pour lire la vidéo");
		divEl.attr('data-rgpd-vendor-mask', "343" );
	  });
	  /* Digiteka */
	  $('.OUTBRAIN').each( function(){
		var divEl = $(this);
		divEl.hide();
		divEl.attr('data-mask-title', "Vous devez accepter l\'utilisation des cookies de Outbrain pour voir la liste des contenus conseillés");
		divEl.attr('data-rgpd-vendor-mask', "164" );
	  });
  
	  /* On update l'etat des masques en fonction du consentement */
	  function updateRGPDVendorMasks(){
		$('[data-rgpd-vendor-mask]').each( function( index, element ){
		  var el = $(element);
		  var parent = el.parent();
		  var vendorid =  !isNaN( el.attr('data-rgpd-vendor-mask') )? Number.parseInt( el.attr('data-rgpd-vendor-mask') ) : el.attr('data-rgpd-vendor-mask');
		  var consentStatus = Didomi.getUserConsentStatusForVendor( String( vendorid ) );
		  if( ( typeof consentStatus === undefined || consentStatus !== true ) && !el.parent().hasClass('content-mask-container') ) {
			var masktitle = ( typeof el.attr('data-mask-title') !== undefined && el.attr('data-mask-title'))? el.attr('data-mask-title') : 'Pour accèder à cette fonctionnalité, vous devez autoriser notre partenaire à déposer des cookies';
			var maskbutton = ( typeof el.attr('data-mask-button') !== undefined && el.attr('data-mask-button'))? el.attr('data-mask-button') : 'Je modifie le paramétrage de mes cookies';
			var maskHTML = '<div class="content-mask">' + masktitle + '<button class="btn btn-primay btn-mask">' + maskbutton + '</button>' + '</div>';
  
			el.hide();
			el.wrap( '<div class="content-mask-container embed-responsive-item"></div>' );
			el.parent().append( maskHTML );
			el.parent().find('.btn-mask').on('click', function() {
			  Didomi.notice.show();
			});
		  }
		  else if( typeof consentStatus !== undefined && consentStatus === true ){
			el.show();
			if( typeof el.attr('data-rgpd-src') !== undefined && el.attr('data-rgpd-src') !== false){
			  el.attr('src', el.attr('data-rgpd-src') ); // iframe avec data-rgpd-src -> on modifie en src
			  el.removeAttr('data-rgpd-src');
			}
			if( el.parent().hasClass('content-mask-container') ){
			  if( el.parent().find('.content-mask') ){
				el.parent().find('.content-mask').remove();
			  }
			  el.unwrap();
			}
		  }
		});
	  }
  
	  /* ========================================================================
	   * Didomi / RGPS Masking
	   * ======================================================================== */
	 window.didomiOnReady = window.didomiOnReady || [];
	 window.didomiOnReady.push(function () {
		 updateRGPDVendorMasks();
	  });
  
	  window.didomiEventListeners = window.didomiEventListeners || [];
	  window.didomiEventListeners.push({
		event: 'consent.changed',
		listener: function () {
		  updateRGPDVendorMasks();
	   }
	 });
	});
  })(jQuery);
  