<?php

/**
 * Replace Posts label as Actualités in Admin Panel
 *
 * @since 1.0.0
 */
function aster_change_post_menu_label() {
	global $menu;
	global $submenu;
	$menu[5][0]                 = 'Actualités';
	$submenu['edit.php'][5][0]  = 'Actualités';
	$submenu['edit.php'][10][0] = 'Ajouter';
	echo '';
}

function aster_change_post_object_label() {
	global $wp_post_types;
	$labels                     = $wp_post_types['post']->labels;
	$labels->name               = 'Actualités';
	$labels->singular_name      = 'Actualité';
	$labels->add_new            = 'Ajouter une Actualité';
	$labels->add_new_item       = 'Ajouter une Actualité';
	$labels->edit_item          = 'Modifier Actualité';
	$labels->new_item           = 'Actualité';
	$labels->view_item          = 'Voir Actualité';
	$labels->search_items       = 'Rechercher des Actualités';
	$labels->not_found          = 'Aucune Actualités trouvée';
	$labels->not_found_in_trash = 'Aucune Actualités trouvée dans la corbeille';
	$labels->name_admin_bar     = 'Ajouter une Actualité';
}

add_action( 'init', 'aster_change_post_object_label' );
add_action( 'admin_menu', 'aster_change_post_menu_label' );

/**
 * Customisation de l'ordre du menu dans l'administration
 *
 * @since 1.0.0
 *
 */
function aster_custom_menu_order( $menu_ord ) {
	if ( ! $menu_ord ) {
		return true;
	}

	return array(
		'index.php', // Dashboard
		'separator1', // First separator
		'edit.php', // Posts
		'edit.php?post_type=tribe_events', // événements
		'edit.php?post_type=page', // Pages
		'separator2', // Second separator
		'upload.php', // Media
		'edit-comments.php', // Comments
		'separator-last', // Last separator
		'users.php', // Users
		'themes.php', // Appearance
		'plugins.php', // Plugins
		'tools.php', // Tools
		'options-general.php', // Settings

	);
}

add_filter( 'custom_menu_order', 'aster_custom_menu_order', 10, 1 );
add_filter( 'menu_order', 'aster_custom_menu_order', 10, 1 );
