<?php
/**
 * Filters
 *
 * @package aster
 * @since 1.0.0
 */

/**
 * Show '(No title)' if a post has no title.
 *
 * @since 1.0.0
 */
add_filter(
    'the_title',
    function ( $title ) {
        if ( ! is_admin() && empty( $title ) ) {
            $title = _x( '(No title)', 'Used if post or pages has no title', 'aster' );
        }

        return $title;
    }
);

/**
 * Replace the default [...] excerpt more with an elipsis.
 *
 * @since 1.0.0
 */
add_filter(
    'excerpt_more',
    function ( $more ) {
        return '&hellip;';
    }
);

/**
 * Modifie la longueur de l'extrait
 *
 * @param $length
 *
 * @return int
 * @since 1.0.0
 *
 */
function aster_excerpt_length( $length ) {
    return 200;
}

/**
 * Suppression de l'extrait automatique à partir du contenu.
 * N'affiche pas d'extrait s'il n'y en a pas.
 *
 * @since 1.0.0
 *
 */
remove_filter( 'get_the_excerpt', 'wp_trim_excerpt' );

add_filter( 'excerpt_length', 'aster_excerpt_length' );
