<?php
/**
 * Block styles.
 *
 * @package aster
 * @since 1.0.0
 */

/**
 * Register block styles
 *
 * @since 1.0.0
 *
 * @return void
 */
function aster_register_block_styles() {

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/template-part',
		array(
			'name'  => 'aster-sticky',
			'label' => __( 'Sticky header', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/paragraph',
		array(
			'name'  => 'aster-frame',
			'label' => __( 'Encadré', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/paragraph',
		array(
			'name'  => 'aster-epigraph',
			'label' => __( 'Exergue', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/list',
		array(
			'name'  => 'aster-two-columns',
			'label' => __( 'Deux colonnes', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'bsw/child-post',
		array(
			'name'  => 'aster-grille',
			'label' => __( 'Grille', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'bsw/siblings-posts',
		array(
			'name'  => 'aster-grille',
			'label' => __( 'Grille', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'bsw/related-posts-template',
		array(
			'name'  => 'aster-grille',
			'label' => __( 'Grille', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/button',
		array(
			'name'  => 'aster-simple-button',
			'label' => __( 'Simple', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'bsw/slider-static',
		array(
			'name'  => 'aster-slider-testimonial',
			'label' => __( 'Témoignages', 'aster' ),
		)
	);
	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'bsw/slider-static',
		array(
			'name'  => 'aster-slider-images',
			'label' => __( 'Images', 'aster' ),
		)
	);
}
add_action( 'init', 'aster_register_block_styles' );

/**
 * This is an example of how to unregister a core block style.
 *
 * @see https://developer.wordpress.org/block-editor/reference-guides/block-api/block-styles/
 * @see https://github.com/WordPress/gutenberg/pull/37580
 *
 * @since 1.0.0
 *
 * @return void
 */
function aster_unregister_block_style() {
	wp_enqueue_script(
		'aster-unregister',
		get_template_directory_uri() . '/assets/js/unregister.js',
		array( 'wp-blocks', 'wp-dom-ready', 'wp-edit-post' ),
		ASTER_VERSION,
		true
	);
}
add_action( 'enqueue_block_editor_assets', 'aster_unregister_block_style' );
