<?php
/**
 * Ajout du rôle "Administrateur/Administratrice du Site"
 *
 * @since 1.0.0
 *
 */
function aster_site_administrator_role() {
    $site_admin_roles                  = get_role( 'editor' )->capabilities;
    $site_admin_roles['create_users']  = true;
    $site_admin_roles['delete_users']  = true;
    $site_admin_roles['edit_users']    = true;
    $site_admin_roles['list_users']    = true;
    $site_admin_roles['promote_users'] = true;
    $site_admin_roles['remove_users']  = true;
    add_role(
        'site-administrator',
        'Administrateur / Administratrice du Site',
        $site_admin_roles
    );

    // Configuration de la position du rôle avec le plugin members
    $position['site-administrator'] = 90;
    update_option( 'members_role_hierarchy', $position );
}

add_action( 'after_switch_theme', 'aster_site_administrator_role' );
